Bug 240111 - openldap-servers-2.3.30-2.fc6 eats your database
openldap-servers-2.3.30-2.fc6 eats your database
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
: 240136 240849 240925 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-05-15 05:35 EDT by Pierre Ossman
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: openldap-servers-2.3.30-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-15 06:15:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pierre Ossman 2007-05-15 05:35:18 EDT
WTF guys!

The nightly upgrade to openldap-servers-2.3.30-2.fc6 decided to eat my database.
I assume there is some compatibility issue as it moved all the files to an
"rpmorig" subdirectory. No harm no foul there, but it then proceded to
initialise a blank database and start that.

So for the last 6 hours (befote I got wind of this) the incoming mail server has
been tossing out every mail with "user unknown". I.e. a permanent error so those
mail are forever gone.

If you include an automatic update service, I expect to be able to use it. A
downed server would be okay, a running blank database that causes lost mail is not.

My problem is of course solved, but you really need to be more careful in the
future with how your packets upgrade. At least when it comes to a critical
component like this.
Comment 1 Jan Safranek 2007-05-15 06:15:46 EDT
I copletelly aggree with you, unfortunatelly this bug is caused by wrong
%preun/%postun in the previus release (openldap-servers-2.3.27-4), which were
executed just now. See bug #230959 - it's the same bug, but for rawhide, so the
version numbers are different.

Just copy the database from /var/lib/ldap/rpmorig to /var/lib/ to restore your db.

Updates _from_ openldap-servers-2.3.30-2.fc6 to newer version should be ok.
Comment 2 Jan Safranek 2007-05-15 10:44:26 EDT
*** Bug 240136 has been marked as a duplicate of this bug. ***
Comment 3 Jan Safranek 2007-05-22 07:57:57 EDT
*** Bug 240849 has been marked as a duplicate of this bug. ***
Comment 4 Jan Safranek 2007-05-23 02:45:47 EDT
*** Bug 240925 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.